summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-11 22:54:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:29 +0200
commita1b3f8c001f48f03181d382188644f9fc0a9067a (patch)
tree29da3ce961f86fa6679f2c3a14fe6a957206daa1 /misc
parent7f0be1b44aa8ff87ffb7b3ea4ae25d982f91fddb (diff)
downloadslackbuilds-a1b3f8c001f48f03181d382188644f9fc0a9067a.tar.gz
slackbuilds-a1b3f8c001f48f03181d382188644f9fc0a9067a.tar.xz
misc/kvm: Added to 12.1 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/kvm/README19
-rw-r--r--misc/kvm/doinst.sh4
-rw-r--r--misc/kvm/kvm.SlackBuild80
-rw-r--r--misc/kvm/kvm.info8
-rw-r--r--misc/kvm/slack-desc20
5 files changed, 131 insertions, 0 deletions
diff --git a/misc/kvm/README b/misc/kvm/README
new file mode 100644
index 0000000000..b82ae599ea
--- /dev/null
+++ b/misc/kvm/README
@@ -0,0 +1,19 @@
+KVM (for Kernel-based Virtual Machine) is a full virtualization solution
+for Linux on x86 hardware containing virtualization extensions (Intel VT
+or AMD-V). It consists of a loadable kernel module, kvm.ko, that provides
+the core virtualization infrastructure and a processor specific module,
+kvm-intel.ko or kvm-amd.ko. KVM also requires a modified QEMU although
+work is underway to get the required changes upstream.
+
+Using KVM, one can run multiple virtual machines running unmodified Linux
+or Windows images. Each virtual machine has private virtualized hardware:
+a network card, disk, graphics adapter, etc.
+
+Reload udev rules. # /etc/rc.d/rc.udev reload
+
+How use kvm with a non-privileged user:
+
+Add kvm group # groupadd kvm
+Add user to kvm group. Re-login.
+
+# modprobe kvm-intel or # modprobe kvm-amd
diff --git a/misc/kvm/doinst.sh b/misc/kvm/doinst.sh
new file mode 100644
index 0000000000..e759a1ccea
--- /dev/null
+++ b/misc/kvm/doinst.sh
@@ -0,0 +1,4 @@
+# Re-generate modules.dep and map files.
+if [ -x sbin/depmod ]; then
+ chroot . /sbin/depmod -a 1> /dev/null 2> /dev/null
+fi
diff --git a/misc/kvm/kvm.SlackBuild b/misc/kvm/kvm.SlackBuild
new file mode 100644
index 0000000000..ebc86a0ee9
--- /dev/null
+++ b/misc/kvm/kvm.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for kvm
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+# Modified by SlackBuilds.org
+
+PRGNAM=kvm
+VERSION=${VERSION:-78}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+KERNELVERSION=${KERNELVERSION:-$(uname -r)}
+PKG_VERS=${VERSION}_$(echo $KERNELVERSION | tr - _)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Needed to build man pages if build is ran from su
+export PATH=$PATH:/usr/share/texmf/bin
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --audio-drv-list="alsa oss" \
+ --enable-mixemu
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r $TMP/$PRGNAM-$VERSION/scripts $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Fix up the manpages
+mv $PKG/usr/share/man $PKG/usr/man
+gzip -9 $PKG/usr/man/man?/*.?
+
+# Add a udev rule
+mkdir -p $PKG/etc/udev/rules.d/
+cp $PKG/usr/doc/$PRGNAM-$VERSION/scripts/65-kvm.rules \
+ $PKG/etc/udev/rules.d/65-kvm.rules
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERS-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/kvm/kvm.info b/misc/kvm/kvm.info
new file mode 100644
index 0000000000..fb9eea9a84
--- /dev/null
+++ b/misc/kvm/kvm.info
@@ -0,0 +1,8 @@
+PRGNAM="kvm"
+VERSION="78"
+HOMEPAGE="http://kvm.qumranet.com/kvmwiki"
+DOWNLOAD="http://surfnet.dl.sourceforge.net/sourceforge/kvm/kvm-78.tar.gz"
+MD5SUM="54b062575aeeaa424fa0d5aa46c284a9"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="dsomero"
diff --git a/misc/kvm/slack-desc b/misc/kvm/slack-desc
new file mode 100644
index 0000000000..8b8074fee6
--- /dev/null
+++ b/misc/kvm/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+kvm: kvm - (Kernel-based Virtual Machine)
+kvm:
+kvm: kvm is a full virtualization solution for Linux on x86 hardware
+kvm: containing virtualization extensions (Intel VT or AMD-V).
+kvm:
+kvm:
+kvm:
+kvm:
+kvm:
+kvm:
+kvm:
+